# My Project: TradingServiceImpl Class Reference

Loading...
Searching...
No Matches
TradingServiceImpl Class Referencefinal
Inheritance diagram for TradingServiceImpl:
Collaboration diagram for TradingServiceImpl:

## Private Member Functions

Status | SendOrder (ServerContext *ctx, const Order *req, OrderAck *res) override
Status | StreamMarketData (ServerContext *ctx, const MarketRequest *req, grpc::ServerWriter< MarketData > *writer) override

## Member Function Documentation

## SendOrder()

Status TradingServiceImpl::SendOrder | ( | ServerContext * | ctx,
|  | const Order * | req,
|  | OrderAck * | res )

inlineoverrideprivate

## StreamMarketData()

Status TradingServiceImpl::StreamMarketData | ( | ServerContext * | ctx,
|  | const MarketRequest * | req,
|  | grpc::ServerWriter< MarketData > * | writer )

inlineoverrideprivate

The documentation for this class was generated from the following file:

- src/grpc_server.cc